# pandas.DataFrame.lookup

`DataFrame.``lookup`(row_labels, col_labels)

  Label-based “fancy indexing” function for DataFrame. Given equal-length arrays of row and column labels, return an array of the values corresponding to each (row, col) pair.

  Parameters:

  row_labels : sequence

  > The row labels to use for lookup

  col_labels : sequence

  > The column labels to use for lookup

  Notes

  Akin to:

      result = []
      for row, col in zip(row_labels, col_labels):
          result.append(df.get_value(row, col))

  Examples

  values : ndarray
    The found values

Scroll To Top